Name: qutecom
Version: 2.2
Release: alt5.hg477.M51.1
Summary: SIP softphone
License: GPLv2+
Group: Networking/Instant messaging
Url: http://www.qutecom.org/
Packager: Aeliya Grevnyov <gray_graff@altlinux.org>

Source: http://www.qutecom.org/nightlybuilds/universal/sources/%name-%version.tar
Patch1: install-70QuteCom-permissions.patch
Patch2: remove-extra-copying-file.patch

BuildRequires: boost-program-options-devel boost-signals-devel boost-thread-devel cmake gcc-c++
BuildRequires: glib2-devel libXScrnSaver-devel libXcomposite-devel libXdamage-devel libXft-devel libXpm-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel 
BuildRequires: libavformat-devel libcurl-devel libgnutls-devel libqt4-devel libsamplerate-devel libsndfile-devel 
BuildRequires: libspeex-devel libswscale-devel libuuid-devel libxkbfile-devel libxml2-devel python-devel xorg-xf86vidmodeproto-devel
BuildRequires: libalsa-devel
BuildRequires: libosip2-devel pm-utils

%add_optflags %optflags_shared

%description
QuteCom is a SIP softphone which allows you to make free PC to PC
video and voice calls, and to integrate all your IM contacts in one
place.

%prep
%setup -q -n %name-%version
%patch1 -p1
%patch2 -p1

%build
pushd build
CFLAGS="%optflags" \
CXXFLAGS="%optflags" \
cmake \
        -DCMAKE_BUILD_TYPE="Release" \
        -DCMAKE_INSTALL_PREFIX=%_prefix \
%if %_lib == lib64
        -DLIB_SUFFIX=64 \
%endif
        -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
	-DCMAKE_INSTALL_RPATH=%_libdir/qutecom \
	-DCMAKE_SKIP_RPATH=FALSE \
	-DCMAKE_CXX_FLAGS:STRING="%optflags" \
	-DBUILDID_SUPPORT=OFF \
	-DPHAPI_QOS_DEBUG_SUPPORT=OFF \
	-DPHAPI_CODEC_ILBC_SUPPORT=OFF \
	-DPHAPI_CODEC_AMR_SUPPORT=OFF \
        -DOWSOUND_PORTAUDIO_SUPPORT=OFF \
        -DSAMPLERATE_INTERNAL=OFF \
        -DCURL_INTERNAL=OFF \
        -DFFMPEG_INTERNAL=OFF \
        -DENABLE_CRASHREPORT=OFF \
        -DWENGOPHONE_RESOURCEDIR_PATH=ON \
        -DLIBPURPLE_INTERNAL=ON \
        -DOSIP2_INTERNAL=ON \
        -DDISABLE_VOICE_MAIL=OFF \
        ..

%make_build
popd build

%install
pushd build
%makeinstall_std
popd build

%files
%_bindir/%name
%_libdir/%name
%_datadir/%name
%_desktopdir/%name.desktop
%_iconsdir/hicolor/??x??/apps/%name.png
%_libdir/pm-utils/sleep.d/70QuteCom
%doc COPYING README

%changelog
* Thu Feb 11 2010 Aeliya Grevnyov <gray_graff@altlinux.org> 2.2-alt5.hg477.M51.1
- Build for branch 5.1

* Sun Feb 07 2010 Aeliya Grevnyov <gray_graff@altlinux.org> 2.2-alt6.hg477
- Update to hg commit 477:5c9f01eff560

* Tue Sep 08 2009 Aeliya Grevnyov <gray_graff@altlinux.org> 2.2-alt5.hg440
- Remove portaudio from requires
- Update to hg commit 440:8dc2ab379202

* Mon Jun 08 2009 gray_graff <gray_graff@altlinux.org> 2.2-alt4.rc3
- Switch back to gcc4.4
- Disable ILBC plugin
- Update to hg commit 410:16afed46a4e9
- Enable voice mail

* Fri May 08 2009 gray_graff <gray_graff@altlinux.org> 2.2-alt3.rc3
- Switch to gcc4.3
- Remove install_x86_64_and_install_ilbc_plugin.patch (fix in upstream)
- Update to hg commit 364:e0315d53a061

* Mon Apr 27 2009 gray_graff <gray_graff@altlinux.org> 2.2-alt2.rc3
- Fix build on x86_64

* Sat Mar 28 2009 gray_graff <gray_graff@altlinux.org> 2.2-alt1.rc3
- Initial build for sisyphus
